<h1>Form Demo</h1>

<ul>
    <li>
        <input type="checkbox" [(ngModel)]="showTemplateForm" id="tf">
        <label for="tf">Show Template-Oriented Form</label>
    </li>
    <li>
        <input type="checkbox" [(ngModel)]="showComponentForm" id="cf">
        <label for="cf">Show Component-Oriented Form</label>
    </li>
    <li>
        <input type="checkbox" [(ngModel)]="showInteractiveForm" id="if">
        <label for="if">Show Interactive Form</label>
    </li>
</ul>

<ng-container *ngIf="showTemplateForm">
    <h2>Template-Oriented Form</h2>
    <template-oriented-form
            [user]="user"
            (submit)="onSubmitForm($event)"
    ></template-oriented-form>
</ng-container>

<ng-container *ngIf="showComponentForm">
    <h2>Component-Oriented Form</h2>
    <component-oriented-form
            [user]="user"
            (submit)="onSubmitForm($event)"
    ></component-oriented-form>
</ng-container>

<ng-container *ngIf="showInteractiveForm">
    <h2>Interactive Form</h2>
    <interactive-form
            [searchable]="users"
            [hint]="'Search users...' "
            (selected)="onSelected($event)"
    ></interactive-form>
</ng-container>
